<!DOCTYPE html>
<html lang="ko">
<head>
<%- include('../_helpers/html_header') %>
<title>BNK 부산은행 썸뱅크_거래내역조회</title>
<script>
function doDelete(delUrl) {
	if(!confirm('Are you really delete it?')) return;
	location.href = delUrl;
}
</script>
</head>

<body>
    <!--s: header : include-->
    <header>
        <div class="header-wrap">
            <h1 class="tit">거래내역조회</h1>
            <a href="/bnk/list" class="btn-back">메인으로 이동</a>
            <button type="button" class="btn-allmenu">전체메뉴</button>
        </div>
    </header>
    <!--//e: header -->
    
    <!--s: content -->
    <div id="contents">

        <!-- s:acc-detail -->
        <div class="acc-detail">
            <!-- s:card -->
            <div class="card">
                <!-- s:info -->
                <div class="info">
                    <div class="top">
                        <span><%=data.account_nm%></span>
                        <a href="#" class="acc-num ico-select" onclick="openPopup('myAccList')"><%=data.account_no%></a>
                    </div>
                    <!-- 1.예금/신탁일 경우 -->
                    <div class="balance">
                        <p><span><%=data.account_money%></span>원</p>
                        <!-- <p class="desc">만기일 <span>2019-12-09</span></p> 신탁일 경우 사용-->
                    </div>

                    <!-- 2.대출일 경우 -->
                    <!-- <div class="balance">
                        <p><span class="tit-sub">대출잔액</span><span>1,000,000,000</span>원</p>
                        <p class="desc">대출금액 <span>십억</span>원</p>
                    </div> -->
                </div>
                <button type="button" class="btn-detail"><span class="blind">계좌 상세보기</span></button>
            </div>

            <!-- s:sort-wrap -->
            <div class="sort-wrap">
                <span class="txt search-date"><%=data.start_dt%>~<%=data.end_dt%></span>
                <button type="button" class="sort" onclick="openPopup('searchCondition')">
                    <span id="sortCate1"><%=data.month_term%></span>
                    <span id="sortCate2">최신순</span>
                    <span id="sortCate3">전체</span>
                </button>
            </div>
            <!-- //e:sort-wrap -->

            <!-- s:list-type2 -->
            <div class="list-type2">
                <ul>
                    <%
                    if( data['trade_list'] != null )
                    {
                        data['trade_list'].forEach(function(item,index)
                        {
                            var li_class = "";
                            var trade_gb = "출금";
                            var trade_money = item.DFRY_AMT_FMT;
                            if(item.DEPS_AMT_FMT > 0) 
                            {
                                li_class = "acc-deposit";
                                trade_gb = "입금";
                                trade_money = item.DEPS_AMT_FMT;
                            }
                    %>
                    <li class="<%=li_class%>"> <!-- 출금의 경우 -->
                        <a href="#">
                            <p>
                                <span><%=item.TDT_FMT%> <%=item.TRNS_HR_FMT%></span>
                                <span><strong><%=trade_gb%> <%=trade_money%>원</strong></span>
                            </p>
                            <p>
                                <span><%=item.ITMZ%></span>
                                <span>잔액 <%=item.AFTRN_BAMT_AMT_FMT%>원</span>
                            </p>
                        </a>
                    </li>
                    <%
                        });
                    }
                    %>
                </ul>
            </div>
            <!-- //e:list-type2 -->
        </div>
        <!-- //e:acc-detail -->
    </div>
    <!--//e: content -->

    <!-- s:popup-wrap (검색 조건 변경 팝업) -->
    <div class="popup-wrap" id="searchCondition">
        <!-- s:popup-top -->
        <div class="popup-top">
            <h2 class="tit">조회조건</h2>
            <button type="button" class="btn-close" onclick="closePopup('searchCondition')">팝업닫기</button>
        </div>
        <!-- s:popup-con -->
        <div class="popup-con w-fixed-bottom">
            <div>
                <!-- s:ctr-radio -->
                <div class="ctr-radio">
                    <ul>
                        <li><input type="radio" name="mth" set_month="1" id="mth1" checked="checked"><label for="mth1">1개월</label></li>
                        <li><input type="radio" name="mth" set_month="3" id="mth3"><label for="mth3">3개월</label></li>
                        <li><input type="radio" name="mth" set_month="6" id="mth6"><label for="mth6">6개월</label></li>
                        <li><input type="radio" name="mth" set_month="0" id="mth0"><label for="mth0">직접입력</label></li>
                    </ul>
                    <span class="box"></span>
                </div>
                <!-- s:calendar-wrap -->
                <span class="inp-area-cal mt20">
                    <!-- 조회 시작일자 -->
                    <div class="calendar fnCalendar">
                        <input type="text" class="date" class="" id="calendarStart" value="2019-12-09" name="searchDate-from" data-from="searchDate-to" onclick="$(this).blur()">
                    </div>
                    <div>~</div>
                    <!-- 조회 종료일자 -->
                    <div class="calendar fnCalendar">
                        <input type="text" class="date" class="" id="calendarEnd" value="2019-12-31" name="searchDate-from" data-to="searchDate-to" onclick="$(this).blur()">
                    </div>
                </span>

                <p class="tit mt30">정렬</p>
                <!-- s:ctr-radio -->
                <div class="ctr-radio mt15">
                    <ul>
                        <li><input type="radio" name="orderby" id="newest" checked="checked"><label for="newest">최신순</label></li>
                        <li><input type="radio" name="orderby" id="oldest"><label for="oldest">과거순</label></li>
                    </ul>
                    <span class="box"></span>
                </div>

                <p class="tit mt30">조회구분</p>
                <!-- s:ctr-radio -->
                <div class="ctr-radio mt15">
                    <ul>
                        <li><input type="radio" name="cate" id="all" checked="checked"><label for="all">전체</label></li>
                        <li><input type="radio" name="cate" id="deposit"><label for="deposit">입금</label></li>
                        <li><input type="radio" name="cate" id="withdraw"><label for="withdraw">출금</label></li>
                    </ul>
                    <span class="box"></span>
                </div>
            </div>
        </div>
        <!-- s:btns-fixed-bottom -->
        <div class="btns-fixed-bottom">
            <button type="button" class="btn" onclick="searchComplete()">조회</button>
        </div>
    </div>
    <!-- //e:popup-wrap -->

    <!-- s:popup-wrap (계좌선택 팝업) -->
    <div class="popup-wrap" id="myAccList">
        <!-- s:popup-top -->
        <div class="popup-top">
            <h2 class="tit">계좌선택</h2>
            <button type="button" class="btn-close" onclick="closePopup('myAccList')">팝업닫기</button>
        </div>
        <!-- s:popup-con -->
        <div class="popup-con">
            <div>
                <ul class="list-type1">
                    <%
                    data['account_list'].forEach(function(item,index)
                    {
                        var li_class = "";
                        var onclick_yn = "Y";
                        if(item.ACNO==data.ACNO) 
                        {
                            li_class = "active";
                            onclick_yn = "N";
                        }
                    %>
                    <li class="account_info <%=li_class%>" onclick_yn="<%=onclick_yn%>" account_no="<%=item.ACNO%>" product_cd="<%=item.PDT_CD%>" product_gb="<%= item.ACNT_CLACD%>">
                        <a href="#">
                            <p><%=item.PDT_NM%></p>
                            <p><strong><%=item.ACNO_FMT%></strong></p>
                        </a>
                    </li>
                    <%
                    });
                    %>
                </ul>
            </div>
        </div>
    </div>
    <!-- //e:popup-wrap -->

    <!--s: footer : include-->
    <footer>
        <a href="#contents" class="btn-pagetop">Top</a>
        <div class="footer-bar hidden"> <!-- 숨겨야 할 경우 hidden 클래스 사용 -->
            <ul>
                <li class="btn_fb_1 active"><button type="button">뱅킹</button></li>
                <li class="btn_fb_2"><button type="button">상품몰</button></li>
                <li class="btn_fb_3"><button type="button">웰스타로보B</button></li>
                <li class="btn_fb_4"><button type="button">썸패스</button></li>
                <li class="btn_fb_5"><button type="button">썸뱅크</button></li>
            </ul>
        </div>
    </footer>
    <!--//e: footer -->
    
    <form id="list_detail-form" action='/bnk/list_detail' method='post'>
        <input type='hidden' id='account_no' name='account_no' />
        <input type='hidden' id='product_cd' name='product_cd' />
        <input type='hidden' id='product_gb' name='product_gb' />
    </form>

    <script>
        $( function() {

            $(".account_info").on("click", function(){
                
                var onclick_yn=$(this).attr("onclick_yn");

                if(onclick_yn=="N") return;

                var account_no=$(this).attr("account_no");
                var product_cd=$(this).attr("product_cd");
                var product_gb=$(this).attr("product_gb");

                $("#account_no").val(account_no);
                $("#product_cd").val(product_cd);
                $("#product_gb").val(product_gb);
                openLoading();
                $("#list_detail-form").attr("action", "/bnk/account_detail").submit();
            });

            $("input[name=mth][set_month=<%=data.set_month%>]").click();
            
        })

            
        $(".btn-back").on("click", function(){
            openLoading();
            //$("#transfer-form").attr("action", "/bnk/transfer1").submit();
        });
        
    </script>

</body>

</html>
